Groovy Documentation

## org.codehaus.groovy.classgen.asm
[Java] Class BinaryExpressionHelper

    java.lang.Object
      org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

    public class BinaryExpressionHelper
    extends java.lang.Object

Constructor Summary
`BinaryExpressionHelper(WriterController wc)`

Method Summary
`protected void` | `assignToArray(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader)`
`void` | `eval(BinaryExpression expression)`
`protected void` | `evaluateBinaryExpression(java.lang.String message, BinaryExpression binExp)`
`protected void` | `evaluateBinaryExpressionWithAssignment(java.lang.String method, BinaryExpression expression)`
`protected void` | `evaluateCompareExpression(MethodCaller compareMethod, BinaryExpression expression)`
`void` | `evaluateEqual(BinaryExpression expression, boolean defineVariable)`
`void` | `evaluatePostfixMethod(PostfixExpression expression)`
`void` | `evaluatePrefixMethod(PrefixExpression expression)`
`void` | `evaluateTernary(TernaryExpression expression)`
`WriterController` | `getController()`
`MethodCaller` | `getIsCaseMethod()`
`protected void` | `writePostOrPrefixMethod(int op, java.lang.String method, Expression expression, Expression orig)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BinaryExpressionHelper

    public BinaryExpressionHelper(WriterController wc)

Method Detail

### assignToArray

    protected void assignToArray(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader)

### eval

    public void eval(BinaryExpression expression)

### evaluateBinaryExpression

    protected void evaluateBinaryExpression(java.lang.String message, BinaryExpression binExp)

### evaluateBinaryExpressionWithAssignment

    protected void evaluateBinaryExpressionWithAssignment(java.lang.String method, BinaryExpression expression)

### evaluateCompareExpression

    protected void evaluateCompareExpression(MethodCaller compareMethod, BinaryExpression expression)

### evaluateEqual

    public void evaluateEqual(BinaryExpression expression, boolean defineVariable)

### evaluatePostfixMethod

    public void evaluatePostfixMethod(PostfixExpression expression)

### evaluatePrefixMethod

    public void evaluatePrefixMethod(PrefixExpression expression)

### evaluateTernary

    public void evaluateTernary(TernaryExpression expression)

### getController

    public WriterController getController()

### getIsCaseMethod

    public MethodCaller getIsCaseMethod()

### writePostOrPrefixMethod

    protected void writePostOrPrefixMethod(int op, java.lang.String method, Expression expression, Expression orig)

Groovy Documentation